package com.yunzhupaas.service;

import com.yunzhupaas.base.service.SuperService;
import com.yunzhupaas.entity.ProductGoodsEntity;
import com.yunzhupaas.model.productgoods.ProductGoodsPagination;

import java.util.List;

/**
 *
 * 产品商品
 * 版本： V3.1.0
 * 版权： 深圳市乐程软件有限公司（http://www.szlecheng.cn）
 * 作者： 云筑产品开发平台组
 * 日期： 2021-07-10 15:57:50
 */
public interface ProductGoodsService extends SuperService<ProductGoodsEntity> {

    List<ProductGoodsEntity> getGoodList(String type);

    List<ProductGoodsEntity> getList(ProductGoodsPagination productgoodsPagination);

    ProductGoodsEntity getInfo(String id);

    void delete(ProductGoodsEntity entity);

    void create(ProductGoodsEntity entity);

    boolean update( String id, ProductGoodsEntity entity);

}

